# Uses of Enum Class
org.bukkit.attribute.AttributeModifier.Operation

Packages that use AttributeModifier.Operation
Package
Description
org.bukkit.attribute
Classes relevant to attributes.

## Uses of AttributeModifier.Operation in org.bukkit.attribute

Methods in org.bukkit.attribute that return AttributeModifier.Operation
Modifier and Type
Method
Description
`@NotNull AttributeModifier.Operation`
AttributeModifier.`getOperation()`
Get the operation this modifier will apply.
`static AttributeModifier.Operation`
AttributeModifier.Operation.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static AttributeModifier.Operation[]`
AttributeModifier.Operation.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Constructors in org.bukkit.attribute with parameters of type AttributeModifier.Operation
Modifier
Constructor
Description
``
`AttributeModifier(@NotNull String name, double amount, @NotNull AttributeModifier.Operation operation)`
``
`AttributeModifier(@NotNull UUID uuid, @NotNull String name, double amount, @NotNull AttributeModifier.Operation operation)`
``
`AttributeModifier(@NotNull UUID uuid, @NotNull String name, double amount, @NotNull AttributeModifier.Operation operation, @Nullable EquipmentSlot slot)`